Subject: [PATCH v2 5/5] colibri-pxa3xx: add touchscreen support

From: [email-masked] (Arnd Bergmann)
Date: Fri, 9 Jul 2010 18:53:41 +0200

On Friday 09 July 2010, pieterg wrote:
> >
> > But doesn't the code still create both devices in /sys/devices/platform
> > then? AFAICT, there is no runtime probing support to make sure you only
> > register the device that is there.
> 
> Yes, they both show up. But at least the do not conflict, and only the 
> detected device will register an input device.

That's still putting the logic into the wrong place. If you have a way
to detect the hardware, that should be done before creating the device,
otherwise there is no point in having a platform device to start with
and you could just detect it in your module_init function.

	Arnd